%perl_module HTML-Parser 3.48 0_5

Summary:       A Perl module for parsing HTML.
Group:         System Environment/Libraries
License:       GPL or Artistic
URL:           http://search.cpan.org/~gaas/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{pkgname}-%{version}.tar.gz
#Patch0:       perl-HTML-Parser-3.34-utf8.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl(HTML::Tagset)
# For the check/testing stage
BuildRequires: perl(HTTP::Headers), perl(URI), perl(Test::More)

%description
The HTML-Parser module for perl to parse and extract information from
HTML documents, including the HTML::Entities, HTML::HeadParser,
HTML::LinkExtor, HTML::PullParser, and HTML::TokeParser modules.

%prep
%setup -q -n %{pkgname}-%{version}
#patch0 -p1 -b .utf8

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes TODO
%{perl_vendorarch}/HTML/*.pm
%{perl_vendorarch}/auto/HTML/Parser
%{perl_man3dir}/HTML::*.3pm*

%changelog
* Wed Jan 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.48.

* Fri Aug 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.26.

* Sat Nov  1 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
